---
title: Включение отладки серверного кода
slug: администрирование/включение-отладки-серверного-кода
---
# Включение отладки серверного кода 1С:Предприятия 8

## Для Windows

При тестовой эксплуатации сервиса полезно включить возможность отладки клиент-серверных приложений на стороне сервера «1С:Предприятие 8».

Если сервер «1С:Предприятия 8» работает под управлением ОС **Windows**, выполните следующие шаги:

1. Вызовите редактор реестра Windows: нажмите `Win + R` и введите команду `regedit`.
2. В редакторе реестра найдите и раскройте ветку:

    - Для 64-битного сервера:  
      `HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\1C:Enterprise 8.3 Server Agent (x86-64)`

    - Для 32-битного сервера:  
      `HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\1C:Enterprise 8.3 Server Agent`

3. Найдите параметр `ImagePath`, откройте его и в конец строки **добавьте пробел и флаг `–debug`**.
   3.1. Если нужно включить HTTP-отладку, то дальше добавляем флаг `-http` (т.е. получится строка `-debug -http`)

4. Нажмите **OK**.

5. Перезапустите службу:

    - **64-битный сервер**: *Агент сервера 1С:Предприятия 8.3 (x86-64)*
    - **32-битный сервер**: *Агент сервера 1С:Предприятия 8.3*

---

## Для Linux

Если сервер работает под управлением ОС **Linux**, необходимо включить переменную `SRV1CV8_DEBUG=1` в скрипте запуска `srv1cv83`.

- В RHEL-подобных системах (CentOS, AlmaLinux и др.):  
  Файл находится в каталоге `/etc/sysconfig`

- В DEB-подобных системах (Ubuntu, Debian и др.):  
  Файл находится в каталоге `/etc/init.d`

Пример строки в скрипте:

```bash
SRV1CV8_DEBUG=1
```

После изменения скрипта — перезапустите службу сервера 1С.