---
title: Сохранение и восстановление настроек пользователя
slug: примеры-сниппеты-общее/сохранение-и-восстановление-настроек-пользователя
---

## Сохранение настроек

```bsl
&НаСервереБезКонтекста
Процедура СохранитьНастройкиФормы(ВидПечати)
	
	КлючОбъектаНастроек = "Расш1_ФормаНастроекПечатиЭтикеток";
	КлючНастроек = "Расш1_ВидПечати";
	
	ИмяТекущегоПользователя = ИмяПользователя();
	Настройки = Новый Структура("ВидПечати", ВидПечати); // Структура с произвольными значениями
	ХранилищеОбщихНастроек.Сохранить(КлючОбъектаНастроек, КлючНастроек, Настройки, , ИмяТекущегоПользователя);
	
КонецПроцедуры
```

## Восстановление настроек

```bsl
&НаСервереБезКонтекста
Функция СохраненныеНастройкиФормы()

	КлючОбъектаНастроек = "Расш1_ФормаНастроекПечатиЭтикеток";
	КлючНастроек = "Расш1_ВидПечати";
	
	ИмяТекущегоПользователя = ИмяПользователя();
	
	ОшибкаПолученияНастроек = Ложь;
	Попытка
		Настройки = ХранилищеОбщихНастроек.Загрузить(КлючОбъектаНастроек, КлючНастроек, , ИмяТекущегоПользователя);
	Исключение
		ОшибкаПолученияНастроек = Истина;
	КонецПопытки;
	
	Если ОшибкаПолученияНастроек Тогда
		Настройки = Новый Структура("ВидПечати", 0);
	КонецЕсли;
	
	Возврат Настройки;
	
КонецФункции
```